Subject: bug#63415: 30.0.50; More Build Warnings

From: Andrea Corallo <[email-masked]>
Date: Wed, 17 May 2023 07:55:06 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Jacob Faibussowitsch <[email-masked]>
>> Date: Wed, 10 May 2023 07:25:34 -0400
>> 
>> dispnew.c:3650:12: warning: variable 'changed_p' set but not used [-Wunused-but-set-variable]
>>       bool changed_p = 0, mouse_face_overwritten_p = 0;
>>            ^
>> 1 warning generated.
>
> This is expected in a build --without-x.  Avoiding it is too much
> trouble (will make the code harder to read), and this configuration is
> rare enough to not justify that.  So I've left that alone.
>
>> In native--compile-async:
>> comp.el:4240:14: Warning: value from call to ‘cl-substitute’ is unused
>
> Andrea, would you please take care of this warning?
>
> I hope I've now fixed the rest, thanks.

Ok I've a fix for this, same as for #63302 do we want the fixes in
master or 29?

Thanks

  Andrea